Skip to main content
GET
/
api
/
2.0
/
lab_order_tests
List Lab Order Tests
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/lab_order_tests/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "name": "<string>",
      "code": "<string>",
      "compendium": 123,
      "cpts": [
        "<string>"
      ],
      "created_date": "2023-11-07T05:31:56Z",
      "deleted_date": "2023-11-07T05:31:56Z",
      "id": 123,
      "lab_vendor": 123,
      "practice_created": 123,
      "procedure_class": "<string>",
      "questions": [
        {
          "question": {
            "choices": [
              {
                "code": "<string>",
                "value": "<string>",
                "created_date": "2023-11-07T05:31:56Z",
                "deleted_date": "2023-11-07T05:31:56Z",
                "id": 123
              }
            ],
            "code": "<string>",
            "value": "<string>",
            "created_date": "2023-11-07T05:31:56Z",
            "deleted_date": "2023-11-07T05:31:56Z",
            "example_format": "<string>",
            "id": 123,
            "max_length": 32767,
            "secondary_code": "<string>"
          },
          "sequence": 32767,
          "required": true,
          "test": 123
        }
      ],
      "synonyms": [
        "<string>"
      ]
    }
  ],
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

code
(string | null)[]

The codes of the lab tests you want to find.

compendium
integer<int64>[]

The ids of compendiums.

lab_vendor
integer<int64>[]

The ids of the lab vendors of the lab tests you want to find.

limit
integer

Number of results to return per page.

name
string[]

The name of the lab order test.

offset
integer

The initial index from which to return the results.

order_by
string

Which field to use when ordering the results.

practice
integer<int64>[]

Multiple values may be separated by commas.

practice_created
integer<int64>[]

Multiple values may be separated by commas.

Response

200 - application/json
results
object[]
required
count
integer
Example:

123

next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"